﻿using System.Threading;

namespace DimensionEngineering.Kangaroo
{
    /// <summary>
    /// Constant values for Kangaroo.
    /// </summary>
    public static class KangarooConstants
    {
        internal const int BitPackedMaxValue = 536870911;
        internal const int CommandMaxDataLength = 27;
        internal const int CommandMaxBufferLength = 32;
        internal const int CrcGoodValue = 0x307e;

        /// <summary>
        /// The default Packet Serial address for Kangaroo is 128.
        /// </summary>
        public const int DefaultAddress = 128;

        /// <summary>
        /// The default Packet Serial baud rate for Kangaroo is 9600.
        /// </summary>
        public const int DefaultBaudRate = 9600;

        /// <summary>
        /// By default, commands retry after 100 milliseconds if no response is received.
        /// </summary>
        public const int DefaultCommandRetryInterval = 100;

        /// <summary>
        /// By default, commands are retried forever.
        /// </summary>
        public const int DefaultCommandTimeout = Timeout.Infinite;

        /// <summary>
        /// This value, passed as a limit, leaves the limit unspecified.
        /// </summary>
        public const int UnspecifiedLimit = -1;
    }
}
